Page MenuHomePhabricator

scroll bar in "logo" section of ArticlePlaceholder
Closed, ResolvedPublic

Description

When I visit https://nn.wikipedia.org/wiki/Spesial:AboutTopic/Q2013, there's a scroll bar in the "logo" section.
Browser: Firefox 47.0, Also confirmed in WebKit

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterMake image and box both a corresponding px size

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJul 11 2016, 6:00 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript

Problem is: the total hight of the H1+IMG = 287.3 px, the maximum size of the inner content of the total div is 280px. So you've got 7.3px too much, which isn't hidden. So if the outer div can't resize, a scrollbar is the only solution for a browser as it has to show the content.
Solutions are either to hide the overflow, or change the maximum height of the outer div to be more than 20em, or set a maximum height for the image or find another trick to magnify the image and don't show the magnify border that's now present or to change the padding of the outer div.

Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Aug 1 2016, 2:45 PM

Change 302262 had a related patch set uploaded (by Lucie Kaffee):
Make image and box both a corresponding px size

https://gerrit.wikimedia.org/r/302262

Lucie moved this task from To Do Next to Review on the ArticlePlaceholder board.Aug 1 2016, 3:26 PM

Change 302262 merged by jenkins-bot:
Make image and box both a corresponding px size

https://gerrit.wikimedia.org/r/302262

Lucie closed this task as Resolved.Aug 4 2016, 10:40 AM
Lucie moved this task from Review to Done on the ArticlePlaceholder board.
thiemowmde assigned this task to Lucie.Aug 9 2016, 11:58 AM
thiemowmde triaged this task as Lowest priority.
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2016-08-02 board.